This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### round()
Examples |
    float x = 9.2;
    int rx = round(x);  // Sets 'rx' to 9

    float y = 9.5;
    int ry = round(y);  // Sets 'ry' to 10

    float z = 9.9;
    int rz = round(z);  // Sets 'rz' to 10
Description | Calculates the integer closest to the n parameter. For example, round(133.8) returns the value 134.
Syntax |
    round(n)
Parameters |
n | float: number to round
Returns | int
Related | floor() ceil()

Updated on October 26, 2013 08:58:30pm PDT